org.apache.hadoop.yarn.server.scheduler

## Class OpportunisticContainerAllocator.PartitionedResourceRequests

- java.lang.Object
- - org.apache.hadoop.yarn.server.scheduler.OpportunisticContainerAllocator.PartitionedResourceRequests

- Enclosing class:
    OpportunisticContainerAllocator

      public static class OpportunisticContainerAllocator.PartitionedResourceRequests
      extends Object

  Class that includes two lists of `ResourceRequest`s: one for GUARANTEED and one for OPPORTUNISTIC `ResourceRequest`s.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartitionedResourceRequests()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.apache.hadoop.yarn.api.records.ResourceRequest>` | `getGuaranteed()`
    `List<org.apache.hadoop.yarn.api.records.ResourceRequest>` | `getOpportunistic()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartitionedResourceRequests

          public PartitionedResourceRequests()

  - ### Method Detail

    - #### getGuaranteed

          public List<org.apache.hadoop.yarn.api.records.ResourceRequest> getGuaranteed()

    - #### getOpportunistic

          public List<org.apache.hadoop.yarn.api.records.ResourceRequest> getOpportunistic()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.